%global _hardened_build 1

Name:           xfce4-volumed-pulse
Version:        0.2.3
Release:        1
Summary:        Daemon to add additional functionality to the volume keys of the keyboard
License:        GPLv3+
#Group:          Development/Libraries
URL:            https://git.xfce.org/apps/%{name}/
Source0:        https://archive.xfce.org/src/apps/%{name}/0.2/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildArch:      noarch
BuildRequires:  gcc-c++
BuildRequires:  desktop-file-utils
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  gtk3-devel
BuildRequires:  keybinder3-devel
BuildRequires:  libnotify-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  xfconf-devel
Provides:       xfce4-volumed-pulse

%description
The xfce4-volumed adds additional functionality to the volume up/down and mute
keys of the keyboard. It makes the keys work without configuration and uses 
the XFCE 4 mixer's defined card and track for choosing which track to act on. 
The volume level is shown in a notification.

%prep
%setup -qn %{name}-%{version}
echo "Icon=multimedia-volume-control" >> data/%{name}.desktop.in

%build
%configure
%make_build

%install
%make_install

desktop-file-install \
  --add-category="Utility" \
  --dir=$RPM_BUILD_ROOT/%{_datadir}/applications \
  $RPM_BUILD_ROOT/%{_sysconfdir}/xdg/autostart/%{name}.desktop
# one launcher is enough, don't want to have a daemon in the menu
rm -rf $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS ChangeLog README THANKS
%license COPYING
/etc/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}

%changelog
* Wed Jul 22 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 2.0.0-1
- Init package
